View Issue Details

IDProjectCategoryView StatusLast Update
0003541PartDesignBugpublic2018-07-29 08:55
ReporterbabarogaAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003541: Hole feature does not work correct if sketch is not parallel to main planes
DescriptionIf Hole feature is used on face not parallel or perpendicular to X axis. Resulting hole has wrong diameter. Same behavior can be seen on version 0.17 and on both linux and windows.

Issue was discussed in forum thread
https://forum.freecadweb.org/viewtopic.php?f=19&t=29756
Steps To ReproduceMake hole with Hole feature on any face of body not parallel or perpendicular to X axis.

https://forum.freecadweb.org/download/file.php?id=63164

Additional InformationOS: "Manjaro Linux"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14083 (Git)
Build type: Release
Branch: master
Hash: 07d1abb387c6b62093375fa7df99c92f2aaacda0
Python version: 2.7.15
Qt version: 5.11.1
Coin version: 3.1.3
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Activities

babaroga

2018-07-18 20:46

reporter  

Hole feature bug.FCStd (51,974 bytes)

Kunda1

2018-07-27 14:05

manager   ~0011550

Issue was confirmed in forum thread.

wmayer

2018-07-29 08:54

administrator   ~0011559

https://github.com/FreeCAD/FreeCAD/commit/c2ada8eacd76b37a518fa4491561288d752719b8

Issue History

Date Modified Username Field Change
2018-07-18 20:46 babaroga New Issue
2018-07-18 20:46 babaroga File Added: Hole feature bug.FCStd
2018-07-27 14:05 Kunda1 Status new => confirmed
2018-07-27 14:05 Kunda1 Note Added: 0011550
2018-07-27 14:05 Kunda1 Target Version => 0.18
2018-07-28 23:07 eivindkvedalen Assigned To => eivindkvedalen
2018-07-28 23:07 eivindkvedalen Status confirmed => assigned
2018-07-29 08:54 wmayer Status assigned => closed
2018-07-29 08:54 wmayer Resolution open => fixed
2018-07-29 08:54 wmayer Fixed in Version => 0.17
2018-07-29 08:54 wmayer Note Added: 0011559
2018-07-29 08:55 wmayer Product Version 0.18 => 0.17
2018-07-29 08:55 wmayer Target Version 0.18 => 0.17